using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.WB
{
    /// <summary>
    /// 导航属性：外包培训记录人员附件
    /// </summary>
    [Description("外包培训记录人员附件")]
    public class T_WB_OUTSOURCE_TRAIN_RECORD_USERS_FILES : MesEntityBase
    {
        /// <summary>
        /// 外包培训记录人员附件
        /// </summary>
        [Description("外包培训记录人员附件")]
        [DataFieldForeignKey("Nav_Parent", "Nav_Files")]
        public Guid PARENT_ID { get; set; }
        /// <summary>
        /// 导航属性：外包培训记录人员附件
        /// </summary>
        [Description("导航属性：外包培训记录人员附件")]
        public T_WB_OUTSOURCE_TRAIN_RECORD_USERS Nav_Parent { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }
        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
